<template>
    <div class="section_rutas">
        <!-- <pre>{{route}}</pre> -->
        <el-collapse class="accordion" :accordion="false">
            <el-collapse-item name="4" :disabled="true">
                <template slot="title">
                        <div class="item_routes">
                            <p style="color: blue">{{route.url}}</p>
                            <div class="edit_buttons">
                                <button class=" btn_routes btn_delete_routes" @click="removeRoutes" >Eliminar</button>
                            </div> 
                        </div>
                </template>
                <div v-for="(item,index) in route.children" :key="index" class="item_children_routes">
                    <p style="color: blue">{{item}}</p>
                    <div>
                        <button class="btn_children btn_delete_children" @click="removeRouteChildren(index)" >Eliminar</button>
                    </div> 
                </div>
                
            </el-collapse-item>
        </el-collapse> 
    </div>
</template>

<style>
    
.section_rutas{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: nowrap;
    /* margin-top: 2em; */
}

.btn_routes{
    border: none;
  color: white;
  padding: 8px 10px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 12px;
  background: green ;
  margin: 1em;
  border-radius: 5px;
  cursor: pointer;

}

.btn_delete_routes{
    background: red;
}

.edit_buttons{
    display: flex;
    justify-content: space-between;
}

.item_routes{
    display: flex;
    justify-content: space-between;
}

.delete_routes{
    background: red;
}

.accordion{
    width: 100%;
}

.item_children_routes{
    /* background: #cdcdcd; */
    display: flex;
    justify-content: space-between;
    padding: 0;
    padding-right: 4.3rem;
}
.item_children_routes p{
    width: 50%;
}

.btn_children{
    border: none;
    color: green;
    margin-left: 1em;
    background: #fff;
    cursor: pointer;
}
.btn_delete_children{
    color: red;
    margin-right: -1.8rem;
    margin-left: 2.5rem;
}

</style>
<script>

 export default {
 
  name: 'cardAddRoutes',

  props:{
      route: {
          type: Object
      }
  },
  methods: {
      removeRouteChildren(index){
          this.$emit('removeRouteChildren',index)
      },
      removeRoutes(){
          this.$emit("removeRoutes")
      },
      updateRoutes(){
          this.$emit("updateRoutes")
      }
  }
}
</script>